Bug 675164 - 'rhncfg-client verify' prints traceback against older satellite
'rhncfg-client verify' prints traceback against older satellite
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2011-02-04 09:13 EST by Jiri Kastner
Modified: 2011-03-07 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version: rhncfg-5.9.27-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 04:25:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2011-02-04 09:13:20 EST
Description of problem:
'rhncfg-client verify' doesn't work with older satellites (5.2, 5.3)

Version-Release number of selected component (if applicable):
rhncfg-5.9.27-11 + satellite < 5.4.0

How reproducible:


Steps to Reproduce:
1. prepare 5.2 satellite
2. create config channel and files
3. deploy file to registered machine
4. upgrade (if necessary) to rhncfg-5.9.27-11
5. run rhncfg-verify
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/rhncfg-client", line 34, in ?
    sys.exit(Main().main() or 0)
  File "/usr/share/rhn/config_common/rhn_main.py", line 187, in main
    handler.run()
  File "/usr/share/rhn/config_client/rhncfgcli_verify.py", line 159, in run
    maxlen = max(map(lambda x: len(x['status']), ret)) + 1
ValueError: max() arg is an empty sequence


Expected results:
shows what has to show

Additional info:
Comment 1 Miroslav Suchý 2011-02-07 08:32:20 EST
fixed in spacewalk.git in commit 47bc1d697b10cc271cdd22b28caaeca8c7380d7b
cherry picked to satellite.git as 86651b8ecbdba26b17600490814a8cef115c3d44
Comment 2 Jiri Kastner 2011-02-08 10:12:03 EST
Traceback (most recent call last):
  File "/usr/bin/rhncfg-client", line 34, in ?
    sys.exit(Main().main() or 0)
  File "/usr/share/rhn/config_common/rhn_main.py", line 187, in main
    handler.run()
  File "/usr/share/rhn/config_client/rhncfgcli_verify.py", line 159, in run
    maxlen = max(0, map(lambda x: len(x['status']), ret)) + 1
TypeError: can only concatenate list (not "int") to list
Comment 4 Miroslav Suchý 2011-02-15 07:55:12 EST
fixed in spacewalk.git as commit 2dfde5c78b1a657f8ae54a503d8dd8bdd3ccd51c
cherrypicked to satellite.git as commit 2b90e708d2757e702cd85c810efb97393ade8c15
Comment 5 Jiri Kastner 2011-02-16 07:57:06 EST
verified on rhel4,5,6

[root@hp-rx2660-01 errata]# rhncfg-client verify
  /tmp/blabla
  /tmp/test_dir
  /tmp/tmp/file_test_one

[root@ibm-js22-03 ~]# rhncfg-client verify
  /tmp/blabla
  /tmp/test_dir
  /tmp/tmp/file_test_one

.........
Comment 6 errata-xmlrpc 2011-03-07 04:25:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0323.html

Note You need to log in before you can comment on or make changes to this bug.